Debian Bug report logs - #295859
manpages-dev: stdin(3) contains incorrect information about file descriptors

version graph

Package: manpages-dev; Maintainer for manpages-dev is Martin Schulze <joey@debian.org>; Source for manpages-dev is src:manpages.

Reported by: Vincent Lefevre <vincent@vinc17.org>

Date: Fri, 18 Feb 2005 16:48:06 UTC

Severity: normal

Tags: fixed-upstream

Found in version 2.01-1

Done: Vincent Lefevre <vincent@vinc17.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#295859; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.org>:
New Bug report received and forwarded. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: manpages-dev: stdin(3) contains incorrect information about file descriptors
Date: Fri, 18 Feb 2005 17:41:17 +0100
Package: manpages-dev
Version: 2.01-1
Severity: normal

The stdin(3) man page should reflect the current behavior under Linux.
Since bug <http://sources.redhat.com/bugzilla/show_bug.cgi?id=682> is
not fixed, the stdin(3) man page should be updated. It is written:

The integer file descriptors associated with the streams
.Nm stdin ,
.Nm stdout ,
and
.Nm stderr
are 0, 1, and 2, respectively.

but a freopen() can change that. Since this is not obvious, the man
page should say "At program startup, the integer file descriptors
associated with...".

-- System Information:
Debian Release: 3.1
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Kernel: Linux 2.6.10
Locale: LANG=POSIX, LC_CTYPE=en_US.ISO8859-1 (charmap=ISO-8859-1)

Versions of packages manpages-dev depends on:
ii  manpages                      2.01-1     Manual pages about using a GNU/Lin

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#295859; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to "Michael Kerrisk" <mtk-manpages@gmx.net>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #10 received at 295859@bugs.debian.org (full text, mbox):

From: "Michael Kerrisk" <mtk-manpages@gmx.net>
To: Martin Schulze <joey@infodrom.org>
Cc: 295859@bugs.debian.org
Subject: Re: 295859: manpages-dev: stdin(3) contains incorrect information about file descriptors
Date: Thu, 16 Jun 2005 17:44:39 +0200 (MEST)
Joey,

I agree with Vincente that this should be mentioned, though
I disagree that this is a bug.  I understand this effect of
freopen() to be pretty much standard Unix.  Note that 
SUSv3:stderr says:

    The following symbolic values in <unistd.h> define the 
    file descriptors that shall be associated with the 
    C-language stdin, stdout, and stderr when the application 
    is started:

    STDIN_FILENO
        Standard input value, stdin. Its value is 0.
    STDOUT_FILENO
       Standard output value, stdout. Its value is 1.
    STDERR_FILENO
        Standard error value, stderr. Its value is 2.

Note the words "when the application is started".  I have 
changed this manual page text to read:

     On program startup, the integer file descriptors asso&#8208;
     ciated with the streams stdin, stdout, and stderr are
     0, 1, and 2, respectively.  The preprocessor symbols
     STDIN_FILENO, STDOUT_FILENO, and STDERR_FILENO are
     defined with these values in <unistd.h>.  (Applying
     freopen(3) to one of these streams can change the file
     descriptor number associated with the stream.)

The change will appear in man-pages-2.04.
Please close this report.

Cheers,

Michael

-- 
Michael Kerrisk
maintainer of Linux man pages Sections 2, 3, 4, 5, and 7 

Want to help with man page maintenance?  Grab the latest
tarball at ftp://ftp.win.tue.nl/pub/linux-local/manpages/
and grep the source files for 'FIXME'.

Please submit non-trivial man page suggestions as 
"diff -u" patches.

Weitersagen: GMX DSL-Flatrates mit Tempo-Garantie!
Ab 4,99 Euro/Monat: http://www.gmx.net/de/go/dsl



Tags added: fixed-upstream Request was from Justin Pryzby <justinpryzby@users.sourceforge.net> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Vincent Lefevre <vincent@vinc17.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Vincent Lefevre <vincent@vinc17.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 295859-done@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.org>
To: 295859-done@bugs.debian.org
Subject: Re: manpages-dev: stdin(3) contains incorrect information about file descriptors
Date: Mon, 14 Nov 2005 01:30:42 +0100
This bug should have been closed when manpages-dev 2.04-1 was
released. But there was a typo ("Close" instead of "Closes")
in the changelog. So, I'm closing it now. FYI:

manpages (2.04-1) unstable; urgency=low
[...]
    - Corrected info for standard filedes in stdin(3) (Close: Bug#295859)

-- 
Vincent Lefèvre <vincent@vinc17.org> - Web: <http://www.vinc17.org/>
100% accessible validated (X)HTML - Blog: <http://www.vinc17.org/blog/>
Work: CR INRIA - computer arithmetic / SPACES project at LORIA



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 Jun 2007 10:44:09 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 19:11:35 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.